Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.javascript
Class JavaScriptStackPathConstructorImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.javascript.JavaScriptStackPathConstructorImpl

All Implemented Interfaces:
  JavaScriptStackPathConstructor

    public class JavaScriptStackPathConstructorImpl

extends java.lang.Object
implements JavaScriptStackPathConstructor

Constructor Summary
`JavaScriptStackPathConstructorImpl(ThreadLocale threadLocale, AssetPathConstructor assetPathConstructor, JavaScriptStackSource javascriptStackSource, boolean combineScripts)`

Method Summary
`java.util.List<java.lang.String>` | `constructPathsForJavaScriptStack(java.lang.String stackName)` Given a stack, by name, return a list of URL paths for the individual libraqries in the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptStackPathConstructorImpl

    public JavaScriptStackPathConstructorImpl(ThreadLocale threadLocale,
                                              AssetPathConstructor assetPathConstructor,
                                              JavaScriptStackSource javascriptStackSource,
                                              @Symbol(value="tapestry.combine-scripts")
                                              boolean combineScripts)

Method Detail

### constructPathsForJavaScriptStack

    public java.util.List<java.lang.String> constructPathsForJavaScriptStack(java.lang.String stackName)

  Description copied from interface: `JavaScriptStackPathConstructor`
  Given a stack, by name, return a list of URL paths for the individual libraqries in the stack. If scripts are combined, this will be a single (combined) URL.

  Specified by:
    `constructPathsForJavaScriptStack` in interface `JavaScriptStackPathConstructor`
  Parameters:
    `stackName` - name of `JavaScriptStack`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.